.container {
  margin: 0 auto;
}
.banner_container {
  position: relative;
  z-index: 99;
}
.video_container {
  position: relative;
  z-index: 99;
  width: 100vw; /* 设置宽度为视窗宽度 */
  height: auto; /* 高度自动 */
  margin-bottom: 10px;
}

.video_container video {
  width: 100%; /* 视频宽度等于容器宽度 */
  height: auto; /* 高度自动 */
  border-radius: 8px; /* 添加圆角 */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2), 0 6px 20px rgba(0, 0, 0, 0.19); /* 添加阴影 */
}
.video_overlay {
  position: absolute;
  top: 5%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
  font-size: 24px;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  z-index: 100; /*确保文本在视频上方 */
  text-align: center; /* 居中对齐文本 */
}
.video_overlay1 {
  position: relative;
  z-index: 99; /*确保文本在视频上方 */
  color: white;
  font-size: 24px;
  font-weight: bold;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
  text-align: center; /* 居中对齐文本 */
}

/* 针对电脑模式的媒体查询 */
@media (min-width: 768px) {
  .video_container {
    display: flex;
    justify-content: center; /* 水平居中 */
    align-items: center; /* 垂直居中 */
    width: 100%; /* 容器宽度为100% */
    height: 768px; /* 固定高度 */
  }

  .video_container video {
    width: auto; /* 视频宽度自动 */
    height: 100%; /* 视频高度等于容器高度 */
  }
}
.banner_s {
  box-shadow: inset 0px 0px 200px rgba(0, 0, 0, 1);
  width: 100%;
  padding-top: 52%;
  background-image: url("../img/image.png");
  background-size: 100% 100%;
  opacity: 0.7;
  margin-top: 0px;
  animation: opacityShow 0.5s linear forwards;
}

.info {
  position: absolute;
  top: 0;
  width: 100%;
  text-align: center;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.info p {
  font-size: 80px;
  opacity: 0.7;
  font-weight: 800;
}

.show-images {
  margin-top: 10px;
  margin-bottom: 160px;
  position: relative;
  z-index: 98;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.myRoadMap {
  text-align: center;
}
.roadmap-box1 .flex {
  width: 50%;
  margin-top: 120px;
}

.roadmap-box1 .flex.flex_right {
  margin-left: 50%;
}

.show-images .img {
  width: 28%;
  opacity: 0.7;
  border-radius: 10px;
  overflow: hidden;
  transition: all 0.3s;
  animation: showImgTop 0.5s cubic-bezier(0.42, 0, 0.11, 1.33);
}

.show-images .img:nth-child(2) {
  animation-duration: 0.7s;
}
.show-images .img:nth-child(3) {
  animation-duration: 0.9s;
}

.show-images .img img {
  margin-top: -40%;
}

#rw-area {
  position: relative;
  width: 100%;
  overflow: hidden;
}
#rw-area #rw-img {
  width: 500%;
  height: 100%;
  transition: 0.3s;
}
#rw-area #rw-img .img-area {
  float: left;
  width: 20%;
  height: 100%;
  cursor: pointer;
}

.character_item {
  display: flex;
  justify-content: space-between;
  align-items: self-start;
  box-sizing: border-box;
  padding: 0 10%;
}

.character_item_img img {
  display: block;
  width: 100%;
}

.character_item .text {
  width: 60%;
  box-sizing: border-box;
}
.character_item .text p {
  margin: 0;
}
.character_item .text p:nth-child(1) {
  font-weight: bolder;
  font-size: 40px;
}

.character_item .character_item_img {
  width: 40%;
  display: flex;
  justify-content: center;
}

.character_item div {
  color: #fff;
  font-size: 22px;
  opacity: 0.7;
}

#rwNext,
#rwPre {
  cursor: pointer;
  position: absolute;
  top: 0;
  fill: rgba(224, 17, 17, 0.5);
  height: 100%;
  display: flex;
  align-items: center;
  margin-top: -40px;
}
#rwNext {
  right: 0;
}
#rwPre {
  left: 0;
  transform: rotate(180deg);
}
.rw-icon > div:nth-child(1) {
  transform: rotate(180deg);
}
.props {
  position: relative;
  width: 100%;
  overflow: hidden;
}
.props .props_innder {
  width: 400%;
  display: flex;
  animation: scroll 6s linear infinite;
  padding: 70px 0;
}
.props .props_innder > div {
  display: flex;
  align-items: center;
  justify-content: center;
  flex: 1;
}
.props .props_innder > div img {
  display: block;
  height: 160px;
}
@keyframes scroll {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0);
  }
}
.zombie {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  margin-top: 50px;
}
.zombie .zombie_wrap {
  width: 33%;
  padding-top: 33%;
  border-radius: 4px;
  background: rgba(255, 255, 255, 0.05);
  position: relative;
}

.zombie .zombie_wrap .zombie_inner {
  background: rgba(0, 0, 0, 0.7);
  position: absolute;
  border-radius: 50%;
  top: 0px;
  left: 0px;
  bottom: 0px;
  right: 0px;
  width: 70%;
  height: 70%;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: center;
}
.zombie .zombie_wrap .zombie_inner img {
  width: 100%;
  display: block;
  /* margin-left: -46%;
  margin-top: -27%;
  transform: scale(1.9); */
}

.footer {
  position: relative;
  background: linear-gradient(180deg, #9b1514 0%, #621211 100%);
  box-sizing: border-box;
  padding: 0 5%;
  padding-bottom: 30px;
}
.footer h2 {
  font-size: 34px;
}
.footer .footer_content {
  display: flex;
  padding-top: 30px;
  padding-bottom: 20px;
  justify-content: space-between;
}

.footer .community_text {
  width: 100%;
}
.footer .community_icon {
  display: flex;
  justify-content: space-around;
  align-items: flex-end;
  flex-shrink: 0;
  width: 15%;
}
.footer .community_icon a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  background-color: #fff;
  border-radius: 50%;
}

.footer .community_icon svg {
  width: 25px;
  height: 25px;
  fill: #c10000 !important;
}
@media (min-width: 980px) {
  .show-images .img:hover {
    transform: translateY(-40px);
  }
}

@media (max-width: 1080px) {
  .banner_container .info p {
    font-size: 50px;
  }
}
@media (max-width: 668px) {
  .header-inner {
    padding: 0;
  }

  .banner_container .info p {
    font-size: 30px;
  }

  .character_item {
    margin: 0 auto;
    flex-direction: column;
  }

  .character_item .character_item_img {
    width: 100%;
  }
  .character_item .text {
    width: 100%;
    font-size: 16px;
    margin-top: 20px;
  }

  .roadmap-box1 .flex {
    width: 100%;
    margin-top: 120px;
  }

  .roadmap-box1 .flex.flex_right {
    margin-left: 0%;
  }

  .zombie .zombie_wrap {
    width: 100%;
    padding-top: 100%;
  }

  .footer .footer_content {
    flex-direction: column;
  }
  .footer .footer_content h2 {
    font-size: 24px;
  }
  .footer .footer_content .community_icon {
    width: 100%;
  }
}

@keyframes showImgTop {
  0% {
    opacity: 0;
    transform: scale(0);
  }

  100% {
    opacity: 0.7;
    transform: scale(1);
  }
}

@keyframes opacityShow {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.7;
  }
}

/* play 按钮 start */
.mouse-move a {
  font-size: var(--font-size-body);
  text-transform: uppercase;
  height: 4.125em;
  width: 4.125em;
  line-height: 4.125em;
  display: inline-block;
  border-radius: 100%;
  text-align: center;
  position: relative;
  cursor: pointer;
  transform-style: preserve-3d;
  backface-visibility: hidden;
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari*/
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* Internet Explorer Edge*/
  user-select: none;
  color: var(--color-theme-white);
}
.mouse-move .boom::before,
.mouse-move .boom::after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
.mouse-move .boom::before,
.mouse-move .boom::after {
  content: "";
  z-index: -1;
  margin: 0;
  border-radius: 100%;
  box-shadow: inset 0 0 0 2px;
  animation: clipMe 8s linear infinite;
}
.mouse-move .boom::before {
  animation-delay: -4s;
}
@keyframes clipMe {
  0%,
  100% {
    clip: rect(0, 13.75em, 0.125em, 0);
  }
  25% {
    clip: rect(0, 0.125em, 13.75em, 0);
  }
  50% {
    clip: rect(13.625em, 13.75em, 13.75em, 0);
  }
  75% {
    clip: rect(0, 13.75em, 13.75em, 13.625em);
  }
}

/* play end */
